import java.util.Scanner;

public class Console {

    private static Scanner scanner = new Scanner(System.in);

    public static String printMainMenu() {
        System.out.println("\nWhat would you like to do?" +
                "\n> GET all users" +
                "\n> ADD your information" +
                "\n> SEND a message" +
                "\n> SEE all messages" +
                "\n> QUIT");
        return scanner.nextLine().toUpperCase();
    }

    public static String printSendMenu() {
        System.out.println("\nWhat type of message do you want to send?" +
                "\n> GLOBAL message to everyone" +
                "\n> DIRECT message to a specific user");
        return scanner.nextLine().toUpperCase();
    }

    public static String getName() {
        System.out.println("\nPlease input your name: ");
        String name = scanner.nextLine();
        return name;
    }

    public static String getGithub() {
        System.out.println("\nPlease input your Github ID: ");
        String github = scanner.nextLine();
        return github;
    }

    public static String getFromID() {
        System.out.println("\nPlease input your ID: ");
        String github = scanner.nextLine();
        return github;
    }

    public static String getToID() {
        System.out.println("\nPlease input the receiver's ID: ");
        String github = scanner.nextLine();
        return github;
    }

    public static String getMessage() {
        System.out.println("\nPlease input your message: ");
        String github = scanner.nextLine();
        return github;
    }

    public static void printError(){
        System.out.println("\nAn error has occurred.");
    }

    public static void printSuccess(String choice) {
        System.out.println("\n" + choice + " success!");
    }
}
